<mat-toolbar class="mat-elevation-z3 custom-toolbar">
  <button mat-icon-button (click)="collapsed.set(!collapsed())">
    <mat-icon>menu</mat-icon>
  </button>
  <button mat-button [matMenuTriggerFor]="menu" class="firstName-button">
    {{ firstName$ | async }}
  </button>
  <mat-menu #menu="matMenu">
    <button mat-menu-item>Account settings</button>
  </mat-menu>
  <button mat-icon-button (click)="logout()">
    <mat-icon>logout</mat-icon>
  </button>
</mat-toolbar>
